"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10db80720>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10db80860>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10db807c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10db80900>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10db809a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10db80a40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10db80ae0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10db80b80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10db80c20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10db80cc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10db80d60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10db80e00>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10db80ea0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10db80f40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10db80fe0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10db81080>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10db81120>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10db811c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10db81260>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10db81300>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10db813a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10db81440>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10db814e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10db81580>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10db81620>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10db816c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10db81760>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10db81800>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10db818a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10db81940>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10db819e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10db81a80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10db81b20>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10db81bc0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10db81c60>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10db81d00>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10db81da0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10db81e40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10db81ee0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10db81f80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10db82020>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10db820c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10db82160>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10db82200>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10db822a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10db82340>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10db823e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10db82480>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10db82520>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10db825c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10db82660>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10db82700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10db827a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10db82840>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10db828e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10db82980>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10db82a20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10db82ac0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10db82b60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10db82c00>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10db82ca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10db82d40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10db82de0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10db82e80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10db82f20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10db82fc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10db83060>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10db83100>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10db831a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10db83240>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10db832e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10db83380>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10db83420>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10db834c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10db83560>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10db83600>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10db836a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10db83740>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10db837e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10db83920>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10db83880>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10db839c0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10db83a60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10db83b00>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10db83ba0>)]
name: str = 'fr_HOCCN'
